SeaMonkey 2.7 ya está aquí

Ayer se publicó SeaMonkey 2.7. Esta es una de esas actualizaciones en las que notaremos pocos cambios en las funcionalidades. De hecho, según sus notas de versión sólo hay un cambio específico de SeaMonkey (y, en realidad, aunque el cambio se hace aplicación por aplicación, también se ha realizado en Firefox y Thunderbird).

Ese cambio es, sin embargo, bastante importante para algunos usuarios, y es que, a partir de ahora, los complementos serán compatibles las nuevas versiones de SeaMonkey a menos que se demuestre lo contrario. Digamos que se aplica la presunción de inocencia en los complementos. :-)

Entrando más en detalles, lo que sucedía hasta ahora es que los desarrolladores de complementos tenían que revisar si su trabajo seguía siendo compatible e, incluso si el desarrollador sabía que el complemento seguía sirviendo (como me pasa a mí con el complemento del diccionario, que está compuesto sólo por datos, no por código JavaScript ni binario), tenía que ir al panel del complemento en Mozilla Add-ons y actualizar las versiones con las que es compatible.

A partir de ahora, Mozilla Add-ons tiene una serie de pruebas automáticas que se van a ejecutar para todos los complementos alojados en ese sitio (en el caso de SeaMonkey, siempre que los complementos ya fueran compatibles con, al menos, SeaMonkey 2.1) y los números de versión de todos los que superen la prueba se incrementarán automáticamente. Eso ayudará a los desarrolladores despistados y, en consecuencia, a los usuarios de sus complementos.

Aparte de eso, hay varias mejoras en el motor de representación Gecko. Quizá la más llamativa sea que se han implementado transformaciones 3D de CSS, y mejoras en la API de IndexedDB.

Un detalle importante y que no se ha mencionado en las notas de la versión es que, previsiblemente, esta va a ser la última versión compatible con Windows 2000 (cualquier versión) y Windows XP (sin Service Pack). En otras palabras, Firefox 11, Thunderbird 11 y SeaMonkey 2.8 necesitarán al menos Windows XP Service Pack 1 para ejecutarse.

En la práctica, no creo que mucha gente se vea afectada. Pocos equipos capaces de utilizar Windows 2000 no podrían ejecutar Windows XP y, puesto que Windows 2000 hace ya tiempo que no tiene actualizaciones de seguridad, seguramente se habrán migrado ya. Al mismo tiempo, parece difícil encontrar razones para que alguien con Windows XP no haya querido instalar al menos el Service Pack 1 o sus actualizaciones individuales equivalentes (el último Service Pack para Windows XP es el 3).

A lo largo de este mes espero poder publicar un par de noticias interesantes sobre la organización del grupo de voluntarios que desarrolla SeaMonkey.

Anuncios

Acerca de rickiees

Miembro de NAVE, el grupo de traducción al español de España (es-ES) de Mozilla. Colaborador de Mozilla Hispano. Desarrollador aficionado en Java SE, prefiero las aplicaciones de escritorio.
Esta entrada fue publicada en Noticias y etiquetada . Guarda el enlace permanente.